#include <stdio.h>
#include "../winuser.h"
int _LDalphaBitmap(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _CRalphaBitmap(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _DSalphaBitmap(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _CPalphaBitmap(mmachine m)
{ m->pp+=8;return MMpush(m,NIL); }
int _SCPalphaBitmap(mmachine m)
{ m->pp+=10;return MMpush(m,NIL); }
int _GETalphaBitmaps(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _GETalphaBitmapSize(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _GETalphaBitmapBackground(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _GETalphaBitmapTransparency(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SETalphaBitmapBackground(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SETalphaBitmapTransparency(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
#define NAlphaBitmapPKG 12
char* AlphaBitmapname[NAlphaBitmapPKG]=
{"AlphaBitmap","_LDalphaBitmap","_CRalphaBitmap","_DSalphaBitmap","_CPalphaBitmap","_SCPalphaBitmap","_GETalphaBitmaps","_GETalphaBitmapSize","_GETalphaBitmapBackground","_GETalphaBitmapTransparency","_SETalphaBitmapBackground","_SETalphaBitmapTransparency"};
int (*AlphaBitmapfun[NAlphaBitmapPKG])(mmachine m)=
{NULL,_LDalphaBitmap,_CRalphaBitmap,_DSalphaBitmap,_CPalphaBitmap,_SCPalphaBitmap,_GETalphaBitmaps,_GETalphaBitmapSize,_GETalphaBitmapBackground,_GETalphaBitmapTransparency,_SETalphaBitmapBackground,_SETalphaBitmapTransparency};
int AlphaBitmapnarg[NAlphaBitmapPKG]=
{TYPTYPE,2,5,1,8,10,1,1,1,1,2,2};
char* AlphaBitmaptype[NAlphaBitmapPKG]=
{NULL,"fun [Chn P] AlphaBitmap","fun [Chn ObjBitmap ObjBitmap8 I I] AlphaBitmap","fun [AlphaBitmap] I","fun [ObjBitmap I I AlphaBitmap I I I I] ObjBitmap","fun [ObjBitmap I I I I AlphaBitmap I I I I] ObjBitmap","fun [AlphaBitmap] [ObjBitmap ObjBitmap8]","fun [AlphaBitmap] [I I]","fun [AlphaBitmap] I","fun [AlphaBitmap] I","fun [AlphaBitmap I] I","fun [AlphaBitmap I] I"};
int SCOLloadAlphaBitmap(mmachine m)
{
return PKhardpak(m,"AlphaBitmap.pkg-1.1",NAlphaBitmapPKG,AlphaBitmapname,AlphaBitmapfun,AlphaBitmapnarg,AlphaBitmaptype);
}
